![alt text](https://res.cloudinary.com/alfianandidev/image/upload/create-react-typescript-app.gif 'Create React Typescript App - starter screen')

# Create React Typescript App 🚀

Combine [Create React App](https://github.com/facebook/create-react-app) with [Typescript](https://www.typescriptlang.org/) and [Eslint](https://eslint.org/)

#### Stay Safe with Eslint + Prettier 🚑

Feature:

- Absolute path 🔥
- Typesafe
- Support unit testing

Get started :

1. `git clone https://github.com/alfianandinugraha/create-react-typescript-app.git`
2. `cd create-react-typescript-app`
3. `yarn install` or `npm install`
4. Happy coding 👨🏻‍💻

This project was bootstrapped with [Create React App](https://github.com/facebook/create-react-app).

and includes:

- [Eslint](https://eslint.org/)
- [Eslint Airbnb](https://www.npmjs.com/package/eslint-config-airbnb)
- [Prettier](https://prettier.io/)
- [react-app-rewired](https://www.npmjs.com/package/react-app-rewired)

---

## 📜 Available Scripts

In the project directory, you can run:

### `yarn start` or `npm run start`

Runs the app in the development mode.\
Open [http://localhost:3000](http://localhost:3000) to view it in the browser.

The page will reload if you make edits.\
You will also see any lint errors in the console.

### `yarn test` or `npm run test`

Launches the test runner in the interactive watch mode.\
See the section about [running tests](https://facebook.github.io/create-react-app/docs/running-tests) for more information.

### `yarn build` or `npm run build`

Builds the app for production to the `build` folder.\
It correctly bundles React in production mode and optimizes the build for the best performance.

The build is minified and the filenames include the hashes.\
Your app is ready to be deployed!

See the section about [deployment](https://facebook.github.io/create-react-app/docs/deployment) for more information.

### `yarn lint` or `npm run lint`

Fix all error because eslint, this eslint extends the config from [Eslint Airbnb](https://www.npmjs.com/package/eslint-config-airbnb) and also use [Prettier](https://prettier.io/)

See the section about [Eslint CLI](https://eslint.org/docs/user-guide/command-line-interface) for more information

### `yarn reset` or `npm run reset`

This boilerplate has landing page and this command is used to delete all files, folders, and code which related to landing page. Rather than delete manualy, just type this command and the landing page will be removed.

To undo this command, type `git checkout -- src/` to rollback to older src folder

### ~~`yarn eject`~~ or ~~`npm run eject`~~

**Warning !** don't eject the app, because cannot be undone. Please use [react-app-rewired](https://www.npmjs.com/package/react-app-rewired) for control behavior of Create React App

---

## 📦 Deploy App

Free hosting for deploy your static site or single page application

- [Render](https://www.render.com/)
- [Netlify](https://www.netlify.com/)
- [Vercel](https://vercel.com/)

---

## 🧱 Contribute

Please visit [Create React Typescript App](https://github.com/alfianandinugraha/create-react-typescript-app)

---

📃 visit [Create React App](https://github.com/facebook/create-react-app) for another information
